Obtener Tareas
curl --request GET \
--url https://api.plazbot.com/api/task \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.plazbot.com/api/task"
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-workspace-id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.plazbot.com/api/task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": [
{
"id": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"description": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z",
"statusId": 123,
"notes": "<string>",
"asignedUsers": [
"<string>"
],
"projectStatusId": "<string>",
"files": [
"<string>"
],
"project": [
"<string>"
],
"subTask": [
"<string>"
],
"orderInCards": 123,
"orderInCardsLastUpdated": "2023-11-07T05:31:56Z"
}
]
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Task
Get Task
Servicio para obtener la lista de tareas del workspace con filtros opcionales.
GET
/
api
/
task
Obtener Tareas
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Query Parameters
Identificador del workspace
ID del contacto para filtrar tareas
Numero de pagina
Cantidad de registros por pagina
Filtrar por nombre de tarea
Filtrar por estado del proyecto
Response
Lista de tareas obtenida exitosamente
⌘I

